Panoscan MK-3 now Compatible with Snow Leopard
The Panoscan MK-3 is now fully compatible with Snow Leopard (10.6). Please note that you will need to use ViewFinder 7.4.5 to run on 10.6. To download ViewFinder 7.4.5 please visit our user area and use your login & password to download the latest version. If you do not have a user name & password please contact us and we will be ready to supply one. (Please have your camera serial number ready when you call.